import { type Ref } from "vue";
export declare function useInput(handler: (ev: Event) => any): {
    composed: Ref<boolean>;
    handleInput: (ev: Event) => void;
    handleCompositionStart: () => void;
    handleCompositionUpdate: () => void;
    handleCompositionEnd: (ev: CompositionEvent) => void;
};
export declare function useSelection(el: Ref<HTMLElement>, selectionChangeHandler: (selection: Selection | null) => any): void;
export declare function useBindEvents<T extends Node>(el: Ref<T> | T, eventBindings: {
    [event in keyof HTMLElementEventMap]?: {
        handler: (this: ThisType<T>, ev: HTMLElementEventMap[event]) => any;
        options?: boolean | AddEventListenerOptions;
    };
}): void;
export declare function useFullScreen(target: Ref<HTMLElement>): {
    isFullScreen: Ref<boolean>;
    getFullScreenElement: () => Element | null;
    enterFullScreen: () => void;
    exitFullScreen: () => void;
    toggleFullScreen: () => void;
};
export declare function useContentFullScreen(target: Ref<HTMLElement>, zIndex?: () => number): {
    isFullScreen: Ref<boolean>;
    enterFullScreen: () => void;
    exitFullScreen: () => void;
    toggleFullScreen: () => void;
};
export declare function useClickOutside(target: Ref<HTMLElement>, callback: (event: MouseEvent) => void): {
    isClickOutside: Ref<boolean>;
};
